# wrap selection in \emph{...}
define-command -override -params 1 latex-surround-add %~
    evaluate-commands -save-regs 'a' -no-hooks %^
        set-register a %arg{1}
        execute-keys -draft 'i\<c-r>a{<esc>a}'
    ^
~
define-command -override -params 1 latex-surround-remove %~
    evaluate-commands -save-regs 'a"' -no-hooks %^
        set-register a %arg{1}
        execute-keys -save-regs '"' -draft '<a-a>{<a-S>d<a-/>\\<c-r>a<ret>d'
    ^
    
~

hook global WinSetOption filetype=latex %{
	set-option window formatcmd "tex-fmt --stdin"
	set-option window autowrap_fmtcmd 'tex-fmt --stdin -l %c'
    set-option window autowrap_format_paragraph true
	hook -group latex-auto-format window BufWritePre .* %{
    	try format
	}
	hook -once -always window WinSetOption filetype=.* %{
		unset-option window formatcmd
		remove-hooks window latex-auto-format
	}
	# declare-filetype-mode latex
	# map window latex i
}

